function pge.file.readfile(filename)
   local fh = pge.file.open(filename, 'r')
   if fh then
      local str = fh:read(fh:size())
      fh:close()
      return str
   end
end

function pge.file.writefile(filename, content)
   pge.dir.mkdirs(pge.dir.dirname(filename))
   local fh = pge.file.open(filename, 'w')
   if fh then
      fh:write(content)
      fh:close()
      return true
   end
end

function pge.file.readint(f, n, u)
   return s2i(f:read(tonumber(n) or 4), nil, nil, u)
end

function pge.file.writeint(f, d, n, u)
   f:write(i2s(d, n, u))
end
