--------------------------------------------------------------------------------

LoadingView = class(View)

function LoadingView:__init()
   View.__init(self, "Loading...", {}, Widget)

   self.image = plug.texture.load'splash.png' or
                plug.texture.load'splash.jpg' or
                plug.texture.load'splash.gif'

   print(self.image)
end

function LoadingView:draw()
    if self.image then
        self.image:activate()
        self.image:draweasy(0, 0)
    else
        View.draw(self)
    end
end

function LoadingView:on_close()
    if self.image then
        print'delay 3 seconds'
        plug.delay(3)
        self.image = nil
    end
end
