--------------------------------------------------------------------------------

MainMenuView = class(View)

function MainMenuView:__init()
   View.__init(self, "FanFiction.Net Browser", {
      [PGE_CTRL_ACCEPT] = "Select" },
      ListBox)

   self.calls = {
      function() screen:push_view(LibraryView()) end,
      function() screen:push_view(CategoriesView()) end,
      function() screen:push_view(SearchView()) end,
      function() screen:push_view(FeedsView()) end,
      function() screen:push_view(OptionsView()) end,
      function() self:close() end,
      }
   table.insert(self.control.items, "Library")
   table.insert(self.control.items, "Categories")
   table.insert(self.control.items, "Search")
   table.insert(self.control.items, "Feeds")
   table.insert(self.control.items, "Options")
   table.insert(self.control.items, "Exit")
end

function MainMenuView:interact()
   View.interact(self)

   if pge.controls.pressed(PGE_CTRL_ACCEPT) then
      self.calls[self.control.selected]()
   elseif pge.controls.pressed(PGE_CTRL_CANCEL) then
      self.control.selected = #self.control.items
      screen:refresh()
   end
end


