--------------------------------------------------------------------------------

OptionsView = class(View)

function OptionsView:__init()
   View.__init(self, "Options", {
      [PGE_CTRL_CANCEL] = "Return",
      [PGE_CTRL_ACCEPT] = "Select" },
      ListBox)

   self.subviews = { ThemesView } --, OrientView }
   table.insert(self.control.items, "Themes")
   --table.insert(self.control.items, "Orientation")
end

function OptionsView:interact()
   View.interact(self)

   if pge.controls.pressed(PGE_CTRL_ACCEPT) then
      screen:push_view(self.subviews[self.control.selected]())
   elseif pge.controls.pressed(PGE_CTRL_CANCEL) then
      self:close()
   end
end
