module("logging", package.seeall)

local log

function write(s)
   if log then log:write(s) end
end

function writeln(s)
   write(tostring(s).."\n")
end

function start(filename)
   if not log then
      log = io.open(filename or "log.txt", "at")
   end
   return log
end

function stop()
   if log then
      log:close()
      log = nil
   end
end




