-- quick-and-dirty adapter for running PGE code on PLUG

for k,v in pairs(_G) do
    if type(k) == 'string' and k:sub(1,5) == 'PLUG_' then
        _G['PGE_'..k:sub(6)] = v
    end
end

pge = {
    version = function() return 3 end,
    running = plug.running,
    exit = plug.exit,

    math = plug.math,
    file = plug.io,
    dir = plug.io,
    io = plug.io,
    gfx = plug.graphics,
    color = plug.color,
    controls = plug.controls,
    texture = plug.texture,
    font = plug.font,
    wav = plug.sound,
    timer = plug.timer,
    utils = plug.system.dialog,
    net = plug.net,
    system = plug.system,
}

function pge.gfx.drawline(x1, y1, x2, y2, c)
    return plug.graphics.line(x1, y1, x2, y2, c)
end
function pge.gfx.drawrectoutline(x, y, w, h, c, r)
    return plug.graphics.rectangle('line', x, y, w, h, r, c)
end
function pge.gfx.drawrect(x, y, w, h, c, r)
    return plug.graphics.rectangle('fill', x, y, w, h, r, c)
end

pge.gfx.createcolor = plug.color.rgb
--pge.texture.setmode = plug.graphics.blendmode
--pge.system.cpu = plug.system.power.clockspeed

pge.net.shutdown = plug.net.term

setmetatable(pge.math, {__index=math})

PGE_TEX_MODE_MODULATE = PLUG_BLEND_MODE_MODULATE

