Sprite = class()

function Sprite:__init(texture, x, y, w, h, cx, cy)
   self.texture = Texture(texture) or error('texture cannot be nil')
   self.x = x or 0
   self.y = y or 0
   self.w = w or (self.texture:width () - self.x)
   self.h = h or (self.texture:height() - self.y)
   self.cx = cx or 0
   self.cy = cy or 0
end

function Sprite:draw(x, y, sx, sy, r, a, c)
   local w = self.w * (tonumber(sx) or 1)
   local h = self.h * (tonumber(sy) or 1)

   x = x - self.cx * w
   y = y - self.cy * h

   self.texture:draw(x, y, w, h,
      self.x, self.y, self.w, self.h,
      tonumber(r) or self.angle or 0,
      tonumber(a) or self.alpha or 255)
end
