--[[
pge.file = setmetatable({}, {__index=pge.io})
pge.file.exists = pge.io.isfile
pge.dir = setmetatable({}, {__index=pge.io})
pge.dir.exists = pge.io.isdir
]]

--pge.gfx.drawrectoutline = pge.gfx.drawrect
--pge.gfx.drawrect = pge.gfx.fillrect

--[[
for k,v in pairs(pge.newgfx) do
   if k:sub(1,4) == 'draw' and pge.newgfx['fill'..k:sub(5)] then
      pge.gfx[k..'outline'] = v
   elseif k:sub(1,4) == 'fill' then
      pge.gfx['draw'..k:sub(5)] = v
   else
      pge.gfx[k] = v
   end
end
]]
require'pgeadapter'

require'pgex'

local src = {
"src/screenshot.lua",
"src/html.lua",
"src/xml.lua",
"src/atom.lua",
--"src/filepath.lua",
"src/gui.lua",
"src/ffn.lua",
"src/ffncats.lua",

"src/view.lua",
"src/view_categories.lua",
"src/view_closing.lua",
"src/view_customtheme.lua",
"src/view_download.lua",
"src/view_entry.lua",
"src/view_error.lua",
"src/view_feed.lua",
"src/view_feeds.lua",
"src/view_import.lua",
"src/view_library.lua",
"src/view_loading.lua",
"src/view_mainmenu.lua",
"src/view_options.lua",
"src/view_orient.lua",
"src/view_search.lua",
"src/view_story.lua",
"src/view_themes.lua",

"src/init.lua",
"src/main.lua",
}

require"logging"
logging.start()
for k,v in ipairs(src) do
   print(v)
   logging.writeln(v)
   dofile(v)
end
