--------------------------------------------------------------------------------

OrientView = class(View)

function OrientView:__init()
   View.__init(self, "Orientation", {
      [PGE_CTRL_CANCEL] = "Return",
      [PGE_CTRL_ACCEPT] = "Select" },
      ListBox)

   table.insert(self.control.items, "Horizontal")
   table.insert(self.control.items, "Vertical")

   self.control.selected = (screen.orient == "v") and 2 or 1
end

function OrientView:interact()
   View.interact(self)

   if pge.controls.pressed(PGE_CTRL_ACCEPT) then
      screen:setmode((self.control.selected == 2) and "v" or "h")
   elseif pge.controls.pressed(PGE_CTRL_CANCEL) then
      self:close()
   end
end





